POST api/Course/Delete/WrongCheckPoint
删除错题集关卡(说明:小程序端接口)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_DeleteWrongCheckPoint| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信OpenId |
string |
None. |
| wrongCourseId |
错题课程ID |
integer |
None. |
| wrongCourseHourID |
错题课时ID |
integer |
None. |
| wrongCheckPointId |
错题关卡ID |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"wrongCourseId": 2,
"wrongCourseHourID": 3,
"wrongCheckPointId": 4
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:信息不存在(1、错题集课程信息不存在 2、错题集课时信息不存在 3、错题集关卡信息不存在)... 。401:当前用户没有删除错题的权限... 。400:删除失败... 。200:删除成功... 。
ActionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"msg": "sample string 2"
}